## libjpeg7 7-1.maemo5v1

=== debian/changelog ===
libjpeg7 (7-1.maemo5v1) unstable; urgency=low

  * Optified for Maemo 5.

 -- Ricky Brent <debpkg@rickybrent.com>  Mon, 21 Dec 2009 02:59:58 -0800

libjpeg7 (7-1) unstable; urgency=low

  * The "Yoan" release.
  * New upstream release. closes: #535350
    - This release includes configure.ac and Makefile.am. closes: #346126  
    - All patches merged upstream.
    - Remove dpatch support.
  * debian/control:
    - Remove Build-Dependency on libtool and sharutils.
    - Move libjpeg7-dbg to debug section.
    - Bump standard version to 3.8.2.
  * Skip test-suite if nocheck is set. closes: #451222

 -- Bill Allombert <ballombe@debian.org>  Sun, 05 Jul 2009 15:29:27 +0200

libjpeg6b (6b-14) unstable; urgency=low

  * The "Lino" release.
  * exifautotran:
    - fix typo in manpage. closes: #376371, thanks Reuben Thomas.
    - preserve file mode. closes: #383379, thanks Vincent Arkesteijn.
  * debian/control, debian/rules, debian/compat:
    + switch to debhelper v5
    + add libjpeg-dbg debugging package.
  * debian/rules: remove - before "make clean" rules.
  * Add patch 204_jpegtran_man to improve readability of manpage.
    closes: #437453. Thanks Jorgen Grahn.
  * jpegexiforient.1: Apply patch from Jorgen Grahn to improve formatting.
    closes: #437446.

 -- Bill Allombert <ballombe@debian.org>  Thu, 16 Aug 2007 22:59:21 +0200

libjpeg6b (6b-13) unstable; urgency=low

  * The "If at first you don't succeed..." release. 
  * Change --enable-maxmem to 1024, following Guido advice.
    This should fix the slowdowns with large files (for large < 1Gb):
    closes: #356556, #365025, Thanks Nicolas.
    If you hit performance problems, please set the JPEGMEM variable to
    about half your available RAM, see jpegtran(1).
  * Update libjpeg-progs README.Debian to reflect the new patch set and
    the JPEGMEM feature.
  * Bump standard version to 3.7.2.

 -- Bill Allombert <ballombe@debian.org>  Fri,  5 May 2006 19:14:25 +0200

libjpeg6b (6b-12) unstable; urgency=low

  * The "vote for me" release
  * Bump standard version to 3.6.2.
  * Run  'make test' instead of home-made test-suite.
  * Switch to debhelper v4.
  * libjpeg is now configured with --enable-maxmem=32. This limits the memory
    usage to 32Mb and it can be overrided by JPEGMEM. Without this flag
    JPEGMEM is ignored and there were no limits.
    closes: #346023. Thanks C. Scott Ananian.

 -- Bill Allombert <ballombe@debian.org>  Thu,  2 Mar 2006 18:52:44 +0100

libjpeg6b (6b-11) unstable; urgency=high

  * The "Silencio" release
  * exifautotran: Apply patch by Uwe Zeisberger to fix bad temporary file
    handling.  closes: #340079

 -- Bill Allombert <ballombe@debian.org>  Sun, 20 Nov 2005 20:57:07 +0100

libjpeg6b (6b-10) unstable; urgency=low

  * The "timeout" release.
  * Rebuild with current toolchain.
  * Depends on libc-dev instead of libc6-dev. closes: #294696
    Thanks Joel Aelwyn for discussing thoroughly the matter.
  * Instead of copying /usr/bin/libtool, we replace it by a script that
    call libtool (using standard path search). Remarked by Jesus Climent.
  * debian/control: remove pre-hamm cruft.
  * Add jpegexiforient and jpegautotran by Guido Vollbeding
    <http://sylvana.net/jpegcrop/exif_orientation.html> as proposed by Philip
    Armstrong. closes: #257061. 
  * Run the test-suite at build time instead of shipping it in the package:
    - /usr/share/doc/libjpeg-progs/tests: removed.
    - debian/control: Add Build-Depends on sharutils for uuencode.
    - debian/libjpeg-progs.dirs: removed.
    - debian/libjpeg-progs.test: removed.

 -- Bill Allombert <ballombe@debian.org>  Tue,  1 Mar 2005 19:43:26 +0100

libjpeg6b (6b-9) unstable; urgency=low

  * The "I'm all for aggressive goals" release.
  * Rebuild with new libtool. closes: #201943.
  * patch 100_crop: Updated from Guido Vollbeding <guido@jpegclub.org>
    to include patches 203_jpegtran_errmsg,204_perfect.
  * patch 200_crop_man: Include 205_perfect_man.
  * patches 203_jpegtran_errmsg, 204_perfect, 205_perfect_man: removed
  * Add patch 203_rdppm: fix cjpeg issue with 16-bit PPM files. closes: #208937
  * Bump standard version to 3.6.1.
  * Update debian/edit-patch.

 -- Bill Allombert <ballombe@debian.org>  Mon,  8 Sep 2003 16:22:08 +0200

libjpeg6b (6b-8) unstable; urgency=low

  * The "I *hate* when that happens" release.
  * Move libjpeg62-dev to libdevel section.
  * See debian/README.sources for detail about the (d)patch system.
  * debian/rules: avoid to run configure twice.
  * Add patches 204_perfect and 205_perfect_man. They implement the
    -perfect jpegtran option as proposed by Mark W. Eichin. closes: #189027
  * Bump standard version to 3.5.10.
  * Use /usr/bin/libtool instead of ldconfig-generated libtool, and remove
    various libtool related kludges, including patch 301_configure.
    closes: #195281. Thanks Robert Millan for the suggestion.
  * Remove patch 302_makefile. Fix debian/rules instead.

 -- Bill Allombert <ballombe@debian.org>  Sat, 31 May 2003 16:16:59 +0200

libjpeg6b (6b-7) unstable; urgency=low

  * Rebuild with new gcc/new glibc/new debhelper.
  * Add -g to build options according to new policy.
  * Add support for DEB_BUILD_OPTIONS noopt. nostrip is handled by dh_strip.
  * Bump standard version to 3.5.9.
  * Extend description a bit (If you have a better one please email me!).
  * Use dpatch to handle the patches.

 -- Bill Allombert <ballombe@debian.org>  Sun, 16 Mar 2003 12:19:36 +0100

libjpeg6b (6b-6) unstable; urgency=low

  * The "Try to break sarge before it even got a name" release
  * jpegtran: better error messages when opening files.
    closes: #147516 Thanks Mark W. Eichin.
  * Add debian/patch dir with my patches.
  * Add extern "C" if we are under C++. 
    closes: #113167 Thanks, Fredrik Jagenheim.
  * Remove HAVE_STD{LIB,DEF}_H from jconfig.h since they are not used and
    conflict with autoconf. closes: #109516 Thanks <Benedikt.Roth@gmx.net>
  * Add README.Debian in /usr/share/libjpeg62-dev


